/*
 * Copyright (C) 2017 Freie Universität Berlin
 *               2017 Inria
 *
 * This file is subject to the terms and conditions of the GNU Lesser
 * General Public License v2.1. See the file LICENSE in the top level
 * directory for more details.
 */

/**
 * @defgroup    boards_nucleo32-l031 Nucleo32-L031
 * @ingroup     boards_nucleo
 * @brief       Board specific files for the nucleo32-l031 board
 * @{
 *
 * @file
 * @brief       Board specific definitions for the nucleo32-l031 board
 *
 * @author      Hauke Petersen <hauke.petersen@fu-berlin.de>
 * @author      Alexandre Aabdie <alexandre.abadie@inria.fr>
 */

#ifndef BOARD_H
#define BOARD_H

#include "board_common.h"

/**
 * @name    xtimer configuration
 * @{
 */
#define XTIMER_WIDTH        (16U)
/** @} */

#ifdef __cplusplus
extern "C" {}
#endif

#endif /* BOARD_H */
/** @} */
